API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /companies/{company_name}/apps?expand=true
Gets an expanded list Company Apps
Verb: GET
Auth: Basic AuthGets an expanded list Company Apps, which includes the app profile for each app in the list
Sample Request:$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/companies/{company_name}/apps?"expand=true"
Sample Response:
{
"app" : [ {
"access_type" : "read",
"app_family" : "default",
"attributes" : [ {
"name" : "Language",
"value" : "java"
} ],
"callback_url" : "www.apigee.com",
"company_name" : "DevCompany",
"created_at" : 1342265140683,
"created_by" : "defaultUser",
"lastmodified_at" : 1342265140683,
"lastmodified_by" : "defaultUser",
"name" : "DevApp2",
"status" : "approved"
}, {
"access_type" : "read",
"app_family" : "default",
"attributes" : [ {
"name" : "Language",
"value" : "java"
} ],
"callback_url" : "www.apigee.com",
"company_name" : "DevCompany",
"created_at" : 1342265149739,
"created_by" : "defaultUser",
"lastmodified_at" : 1342265149739,
"lastmodified_by" : "defaultUser",
"name" : "DevApp1",
"status" : "approved"
} ]
}
Response Payload Elements:
| Name | Description |
|---|---|
| app | The list of all company apps in an organization |
| access_type | Access type for the app |
| app_family | App family that the app belongs to |
| attributes | name/value pairs used to extend the default company app profile |
| callback_url | Callback URL for the app |
| company_name | Name of the company with which the app is associated |
| created_at | Unix time when the app was created |
| created_by | User name of the Apigee user who created the app |
| lastmodified_at | Unix time when the app was last modified |
| lastmodified_by | User name of the Apigee user who last modified the app |
| name | The name of the app |
| status | The status of the app: 'approved' or 'unapproved' |